{%load static%}
{%load staticfiles%}
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
        <title>Book</title>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
        <style type="text/css">
            body{
            /*margin-left: 50px;*/
            background: linear-gradient(100deg, #5E72C2,#47817E,#EEE8A9,#C0545F, #96A6FB,#C25EA1,#F9F871);
            background-size: 400% 400%;
            animation: BackgroundGradient 60s ease infinite;
        }
        @keyframes BackgroundGradient {
            0% {background-position: 0% 50%;}
            50% {background-position: 100% 50%;}
            100% {background-position: 0% 50%;}
        }
        </style>
    </head>

    <body>
            {% if user.is_authenticated %}
            <div class="text-right">
                <h1>Hello, {{ user.username }}</h1>
                <br>
                <button class="btn btn-dark"><a href="{% url 'appstory9:logout' %}" style="color: white">Logout</a></button>
            </div>
        {% else %}
        <div class="text-right">
            <br>
            <button class="btn btn-dark"><a href="{% url 'social:begin' 'google-oauth2' %}" style="color: white">Login with Google</a></button>
            <br>
        </div>
        {% endif %}

        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="text-center"><br>
                            <h1>Search Book</h1>
                        <form id="searchbook" method="POST" action= "{% url 'appstory9:searchbook'%}">
                            {% csrf_token %}
                            {{form}}
                            <br><button class="btn btn-dark">Search</button><br>
                        </form>
                        <br><br>
                    </div>
                </div>
            </div>
            <header><a style="color: black"href="{%url 'appstory9:fav'%}"><i class="fas fa-star"></i></a><span id = "count">{{counter}}</span></header>
            <div class="text-center">
            <div class="row">
                <div class="col-md-12">
                    <table id = "result" class="table table-stripped table-active">
                
                        
                    </table>
                </div>
            </div>
        </div>
        
        <script>
            {%if data%}
            var result = JSON.parse("{{data|escapejs}}");
            $("#result").append("<thead><tr><th scope=\"col\">No</th><th scope=\"col\">Favorite</th><th scope=\"col\">Book</th><th scope=\"col\">Title</th><th scope=\"col\">Author</th></tr></thead><tbody>");
            for (i=0; i<result.items.length; i++) {
                var judult = "<td class=\"judul\">" + result.items[i].volumeInfo.title + "</td>";
                var authort = "<td class=\"author\">"+ result.items[i].volumeInfo.authors + "</td>";
                var nomor = "<tr id=\"item-"+ i+1 + "\">";
                var roww = "<th scope="+ "\"row\">" + (i+1) + "</th>";
                var star = "<td><i title=\"Favorite\" class=\"fav far fa-star\"></td>"
                var link = "<td><a target=\"_blank\" href=\""+ result.items[i].volumeInfo.infoLink + "\">"+ "<img src=\"" + result.items[i].volumeInfo.imageLinks.thumbnail + "\">" + "</a></td>"
                $("#result").append(nomor + roww + star + link + judult + authort + "</tr>");
                }
                $("#result").append("</tbody>");
            {%endif%}
        </script>
        <script src="{%static 'js/searchbook.js'%}"></script>
    </body>
</html>
